<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: lates_photos_panel.php
| CVS Version: 1.00
| Author: HobbyMan
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."latest_photos_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."latest_photos_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."latest_photos_panel/locale/English.php";
}

// Set number of photos to display
$numphotos = "5";
// Set time new image displays over thumb
$newtime = "172800"; // in seconds [172800 = 48 hours]

if ($numphotos == '1') { $title = "".$locale['lpp002'].""; $hr = ""; } else { $title = "".sprintf($locale['lpp001'], $numphotos).""; $hr = "<hr /><br />"; }

openside($title);

$result = dbquery("SELECT * FROM ".DB_PHOTOS." ORDER BY photo_id DESC LIMIT $numphotos");

   if (dbrows($result) != 0) {
   echo "<div align='center'>";
     while($data = dbarray($result)) {
     
     $data_album = dbarray(dbquery("SELECT album_id, album_title FROM ".DB_PHOTO_ALBUMS." where album_id = ".$data['album_id'].""));
     if ($data['photo_datestamp'] + $newtime > time() + ($settings['timeoffset'] * 3600)) { $new = "<img src='".INFUSIONS."latest_photos_panel/img/new.gif' border='0' alt='' /><br />";
                } else {
              $new = "<img src='".THEME."images/blank.gif' width='20' height='1' border='0' alt='' />"; }

     $itemsubject = trimlink($data['photo_id'], 23);
     $itemdescription = trimlink($data['photo_title'], 30);
     $albumname = trimlink($data_album['album_title'], 30);
     echo "<center>".$new."<a href='".BASEDIR."photogallery.php?photo_id=".$data['photo_id']."' title='".$data['photo_title']."' class='side'>";
     echo "<img src='".BASEDIR."images/photoalbum/"."album_".$data['album_id']."/".$data['photo_thumb1']."' border='0' alt='' /><br />".$itemdescription."</a><br />";
     echo "<span class='small'><a href='".BASEDIR."photogallery.php?album_id=".$data['album_id']."' title='".$data_album['album_title']."' class='side'>".$albumname."</a></span>".$hr."</center>";
        }
     echo "</div>";
         } else {
     echo "<div align='center'>".$locale['lpp003']."</div>";
}
closeside();
?>